Bug 5211 - Not thread safe
Not thread safe
Status: RESOLVED DUPLICATE of bug 6358
Product: Samba 4.0
Classification: Unclassified
Component: Other
Other Linux
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
Depends on:
  Show dependency treegraph
Reported: 2008-01-19 10:57 UTC by Jelmer Vernooij
Modified: 2010-01-09 10:43 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Jelmer Vernooij 2008-01-19 10:57:58 UTC
Samba 4 is currently not thread safe. This is caused by the fact that it relies on thread-unsafe system functions and global variables. 

I'm filing this bug to track the progress of thread support. I'll add dependencies on all specific issues.
Comment 1 Matthias Dieter Wallnöfer 2010-01-09 10:43:52 UTC
No longer needed since bug reports were merged.

*** This bug has been marked as a duplicate of bug 6358 ***